/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DBDEB.H          Debug Addendum Header File.
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 */

//***************************************************************************
#if defined( DB_DEBUG )
//***************************************************************************

//#define      DB_DEBUG_MAIN    1
#define      DEBUG            1
#define      DEBUGGING        1


#if defined( DEBUG ) || defined( DEBUGGING )
#define MEM_DEBUG 1
#else
#define MEM_NONE  1
#endif

#define   MALLOC    mem_malloc
#define   CALLOC    mem_calloc
#define   REALLOC   mem_realloc
#define   FREE      mem_free
#define   STRDUP    mem_strdup

#include "mem.h"    // from Zortech's MEM-package


//***************************************************************************
#else  // e.i. if DB_DEBUG is not defined.
//***************************************************************************


#define   MALLOC    malloc
#define   CALLOC    calloc
#define   REALLOC   realloc
#define   FREE      free
#define   STRDUP    strdup


#endif


/****************************************************************************
*** end of DBDEB.H ***/