#############################################################################
#
#  DBLIB.MK    Make file for building DBLIB -- dBASE-file C Interface Library
#
# Copyright (c) 1994, 1995 Alexander V. Loukyanets
# All rights reserved.
#
#############################################################################

#----------------------------------------------------------------------------

MODEL   = l

STACK   = 16384

#----------------------------------------------------------------------------

CC      = ztc =$(STACK) -r -a1 -o+time -o+loop -DMSDOS -2 -m$(MODEL)
CCDEB   = ztc =$(STACK) -r -a1 -o-all -DMSDOS -DDB_DEBUG -s -g -x -m$(MODEL)

LIB     = zorlib

#----------------------------------------------------------------------------

.c.obj:
   $(CC)        -c $*
   $(LIB)       dblib_$(MODEL) -+$*;
   del          $*.obj
##   $(CCDEB)     -c $*
##   $(LIB)       dblibd$(MODEL) -+$*;
##   del          $*.obj


dblib_$(MODEL).lib:  db_open.obj db_addre.obj db_blank.obj db_close.obj \
                     db_cpyst.obj db_getfl.obj db_getre.obj db_putfl.obj \
                     db_putre.obj db_blank.obj

dblibd$(MODEL).lib:  db_open.obj db_addre.obj db_blank.obj db_close.obj \
                     db_cpyst.obj db_getfl.obj db_getre.obj db_putfl.obj \
                     db_putre.obj db_blank.obj


db_addre.obj: db_addre.c dblib.h dbdeb.h dblib.mk
db_blank.obj: db_blank.c dblib.h dbdeb.h dblib.mk
db_close.obj: db_close.c dblib.h dbdeb.h dblib.mk
db_cpyst.obj: db_cpyst.c dblib.h dbdeb.h dblib.mk
db_getfl.obj: db_getfl.c dblib.h dbdeb.h dblib.mk
db_getre.obj: db_getre.c dblib.h dbdeb.h dblib.mk
db_open.obj:  db_open.c  dblib.h dbdeb.h dblib.mk
db_putfl.obj: db_putfl.c dblib.h dbdeb.h dblib.mk
db_putre.obj: db_putre.c dblib.h dbdeb.h dblib.mk


### end of DBLIB.MK ###